#include <iostream>
#include <algorithm>
using namespace std;
int main()
{
    int n;
    cin>>n;
    int nz[n];
    for (int i = 0; i < n; i = i++)
    {
        cin>>nz[i];
    }
    sort (nz, nz + n);
    cout<<0<<" "<<0;
    return 0;
}